#!/bin/bash
#
# Do the configuration steps required for the SPC1 benchmark 
#
# create tmp directory for spc1 if it does not exist 
if [ ! -d /tmp/dx8900s4spc1v3 ]; then      
mkdir /tmp/dx8900s4spc1v3
fi 
TMPD=/tmp/dx8900s4spc1v3
ROOT=/home/dx8900s4spc1v3/fdr
SCRIPTS=${ROOT}/07_Execution
CONFIGURE=${ROOT}/05_Creation
PollingInterval=120		# wait 2 minutes to check format status

#
# confID uniquely identifies the configuration of the array
#
confID=DX600S4_20180222
#
# obtain cjobID based on the timestamp
# cjobID uniquely identifies the configuration job
cjobID=C`date +%y%m%d%H%M%S`

echo job start time `date` | tee -a ${TMPD}/${cjobID}_message.txt
echo This is an array configuration job | tee -a ${TMPD}/${cjobID}_message.txt
echo job confID=$confID | tee -a ${TMPD}/${cjobID}_message.txt
echo job cjobID=$cjobID | tee -a ${TMPD}/${cjobID}_message.txt
echo "Starting Configuration Job=${cjobID}" | tee -a ${cjobID}_message.txt

#
# Configure Array using the Expect script to issue CLI commands
#
echo "Starting Eternus CLI script for configuration Job=${cjobID}" | tee -a ${cjobID}_message.txt
${CONFIGURE}/${confID}.exp
echo "Completed Eternus CLI script for configuration Job=${cjobID}" | tee -a ${cjobID}_message.txt

#
# Wait for physical format to complete
#
echo "Waiting for physical format to complete Job=${cjobID}" | tee -a ${cjobID}_message.txt

${CONFIGURE}/showFormatStatus.exp af root ${TMPD}/fmt_${cjobID}.txt

LUNS=`grep Available ${TMPD}/fmt_${cjobID}.txt|wc|awk '{print $1}'`
while [ $LUNS -gt 0 ]; do
 echo "---------------------------------------------"  >> ${TMPD}//${cjobID}_message.txt
 cat  ${TMPD}/fmt_${cjobID}.txt >> ${TMPD}/${cjobID}_message.txt
 echo "Currently formatting $LUNS LUNS Job=${cjobID}" ${cjobID}_message.txt
 sleep $PollingInterval
 ${CONFIGURE}/showFormatStatus.exp af root ${TMPD}/fmt_${cjobID}.txt
 LUNS=`grep Available ${TMPD}/fmt_${cjobID}.txt |wc |awk '{print $1}'`
done
echo "Physical format complete please proceed. Job=${cjobID}" | tee -a ${cjobID}_message.txt
